python-escript-mpi_5.1-5_i386.deb


Advertisement

Description

python-escript-mpi - Escript/Finley finite elements Python2 system (OpenMP + MPI)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-escript-mpi_5.1-5_i386.deb
Package name python-escript-mpi
Package version 5.1
Package release 5
Package architecture i386
Package type deb
Category universe/science
Homepage https://launchpad.net/escript-finley
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 2.48 MB
Installed size 11.72 MB
Escript is a programming tool for implementing mathematical models in Python
using the finite element method (FEM). Because users do not access the data
structures it is very easy to use and scripts can run on desktop computers as
well as highly parallel supercomputer without changes. Application areas for
escript include earth mantle convection, geophysical inversion, earthquakes,
porous media flow, reactive transport, plate subduction, erosion, and tsunamis.
Scripts can be executed in parallel (on varying numbers of threads or nodes)
without any special modifications.
Escript now includes the esys.downunder module for 3D inversion of geophysical
data sets. The current version supports gravity, magnetic and joint inversion.
This package contains the commands and libraries for Python2 with
both OpenMP threading and MPI multiprocess support.

Alternatives

Package Version Architecture Repository
python-escript-mpi_5.1-5_amd64.deb 5.1 amd64 Ubuntu Universe
python-escript-mpi - - -

Requires

Name Value
libboost-python1.65.1 -
libc6 >= 2.15
libgcc1 >= 1:4.0
libgomp1 >= 4.9
libnetcdf-c++4 >= 4.2
libopenmpi2 -
libpython2.7 >= 2.7
libstdc++6 >= 5.2
openmpi-bin -
python-numpy -
python2.7 -
python:any >= 2.7.5-5~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-escript-mpi_5.1-5_i386.deb
Source Package python-escript

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-escript-mpi deb package:
    # sudo apt-get install python-escript-mpi

Files

Path
/usr/bin/run-escript2-mpi
/usr/lib/python-escript-mpi/escript-overlord
/usr/lib/python-escript-mpi/esys/__init__.py
/usr/lib/python-escript-mpi/esys/downunder/__init__.py
/usr/lib/python-escript-mpi/esys/downunder/coordinates.py
/usr/lib/python-escript-mpi/esys/downunder/costfunctions.py
/usr/lib/python-escript-mpi/esys/downunder/datasources.py
/usr/lib/python-escript-mpi/esys/downunder/dcresistivityforwardmodeling.py
/usr/lib/python-escript-mpi/esys/downunder/domainbuilder.py
/usr/lib/python-escript-mpi/esys/downunder/inversioncostfunctions.py
/usr/lib/python-escript-mpi/esys/downunder/inversions.py
/usr/lib/python-escript-mpi/esys/downunder/magtel1d.py
/usr/lib/python-escript-mpi/esys/downunder/magtel2d.py
/usr/lib/python-escript-mpi/esys/downunder/mappings.py
/usr/lib/python-escript-mpi/esys/downunder/minimizers.py
/usr/lib/python-escript-mpi/esys/downunder/regularizations.py
/usr/lib/python-escript-mpi/esys/downunder/seismic.py
/usr/lib/python-escript-mpi/esys/downunder/splitinversioncostfunctions.py
/usr/lib/python-escript-mpi/esys/downunder/splitminimizers.py
/usr/lib/python-escript-mpi/esys/downunder/splitregularizations.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/__init__.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/acoustic.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/base.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/dcresistivity.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/gravity.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/magnetic.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/magnetotelluric2d.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/pressure.py
/usr/lib/python-escript-mpi/esys/downunder/forwardmodels/subsidence.py
/usr/lib/python-escript-mpi/esys/dudley/__init__.py
/usr/lib/python-escript-mpi/esys/dudley/dudleycpp.so
/usr/lib/python-escript-mpi/esys/dudley/factorywrappers.py
/usr/lib/python-escript-mpi/esys/dudley/readers.py
/usr/lib/python-escript-mpi/esys/escript/__init__.py
/usr/lib/python-escript-mpi/esys/escript/datamanager.py
/usr/lib/python-escript-mpi/esys/escript/linearPDEs.py
/usr/lib/python-escript-mpi/esys/escript/modelframe.py
/usr/lib/python-escript-mpi/esys/escript/models.py
/usr/lib/python-escript-mpi/esys/escript/pdetools.py
/usr/lib/python-escript-mpi/esys/escript/splitworld.py
/usr/lib/python-escript-mpi/esys/escript/symbolic.py
/usr/lib/python-escript-mpi/esys/escript/unitsSI.py
/usr/lib/python-escript-mpi/esys/escript/util.py
/usr/lib/python-escript-mpi/esys/escriptcore/__init__.py
/usr/lib/python-escript-mpi/esys/escriptcore/benchmark.py
/usr/lib/python-escript-mpi/esys/escriptcore/datamanager.py
/usr/lib/python-escript-mpi/esys/escriptcore/domainCouplers.py
/usr/lib/python-escript-mpi/esys/escriptcore/escriptcpp.so
/usr/lib/python-escript-mpi/esys/escriptcore/faultsystems.py
/usr/lib/python-escript-mpi/esys/escriptcore/flows.py
/usr/lib/python-escript-mpi/esys/escriptcore/gmshrunner.py
/usr/lib/python-escript-mpi/esys/escriptcore/heat.py
/usr/lib/python-escript-mpi/esys/escriptcore/levelset.py
/usr/lib/python-escript-mpi/esys/escriptcore/linearPDEs.py
/usr/lib/python-escript-mpi/esys/escriptcore/modelframe.py
/usr/lib/python-escript-mpi/esys/escriptcore/models.py
/usr/lib/python-escript-mpi/esys/escriptcore/mountains.py
/usr/lib/python-escript-mpi/esys/escriptcore/nonlinearPDE.py
/usr/lib/python-escript-mpi/esys/escriptcore/pdetools.py
/usr/lib/python-escript-mpi/esys/escriptcore/rheologies.py
/usr/lib/python-escript-mpi/esys/escriptcore/runmodel.py
/usr/lib/python-escript-mpi/esys/escriptcore/splitworld.py
/usr/lib/python-escript-mpi/esys/escriptcore/start.py
/usr/lib/python-escript-mpi/esys/escriptcore/testing.py
/usr/lib/python-escript-mpi/esys/escriptcore/unitsSI.py
/usr/lib/python-escript-mpi/esys/escriptcore/utestselect.py
/usr/lib/python-escript-mpi/esys/escriptcore/util.py
/usr/lib/python-escript-mpi/esys/escriptcore/symbolic/__init__.py
/usr/lib/python-escript-mpi/esys/escriptcore/symbolic/evaluator.py
/usr/lib/python-escript-mpi/esys/escriptcore/symbolic/functions.py
/usr/lib/python-escript-mpi/esys/escriptcore/symbolic/pretty.py
/usr/lib/python-escript-mpi/esys/escriptcore/symbolic/symbol.py
/usr/lib/python-escript-mpi/esys/escriptcore/symbolic/symconstants.py
/usr/lib/python-escript-mpi/esys/escriptcore/symbolic/utils.py
/usr/lib/python-escript-mpi/esys/finley/__init__.py
/usr/lib/python-escript-mpi/esys/finley/factorywrappers.py
/usr/lib/python-escript-mpi/esys/finley/finleycpp.so
/usr/lib/python-escript-mpi/esys/finley/readers.py
/usr/lib/python-escript-mpi/esys/modellib/__init__.py
/usr/lib/python-escript-mpi/esys/modellib/flow.py
/usr/lib/python-escript-mpi/esys/modellib/geometry.py
/usr/lib/python-escript-mpi/esys/modellib/input.py
/usr/lib/python-escript-mpi/esys/modellib/materials.py
/usr/lib/python-escript-mpi/esys/modellib/mechanics.py
/usr/lib/python-escript-mpi/esys/modellib/probe.py
/usr/lib/python-escript-mpi/esys/modellib/temperature.py
/usr/lib/python-escript-mpi/esys/modellib/visualization.py
/usr/lib/python-escript-mpi/esys/pycad/Triangle.py
/usr/lib/python-escript-mpi/esys/pycad/__init__.py
/usr/lib/python-escript-mpi/esys/pycad/design.py
/usr/lib/python-escript-mpi/esys/pycad/extras.py
/usr/lib/python-escript-mpi/esys/pycad/gmsh.py
/usr/lib/python-escript-mpi/esys/pycad/primitives.py
/usr/lib/python-escript-mpi/esys/pycad/shapes.py
/usr/lib/python-escript-mpi/esys/pycad/transformations.py
/usr/lib/python-escript-mpi/esys/ripley/MultiResolutionDomain.py
/usr/lib/python-escript-mpi/esys/ripley/__init__.py
/usr/lib/python-escript-mpi/esys/ripley/ripleycpp.so
/usr/lib/python-escript-mpi/esys/speckley/__init__.py
/usr/lib/python-escript-mpi/esys/speckley/speckleycpp.so
/usr/lib/python-escript-mpi/esys/weipa/__init__.py
/usr/lib/python-escript-mpi/esys/weipa/weipacpp.so
/usr/lib/python-escript-mpi/lib/buildvars
/usr/lib/python-escript-mpi/lib/libdudley.so
/usr/lib/python-escript-mpi/lib/libescript.so
/usr/lib/python-escript-mpi/lib/libescriptreader.so
/usr/lib/python-escript-mpi/lib/libfinley.so
/usr/lib/python-escript-mpi/lib/libpaso.so
/usr/lib/python-escript-mpi/lib/libripley.so
/usr/lib/python-escript-mpi/lib/libspeckley.so
/usr/lib/python-escript-mpi/lib/libweipa.so
/usr/lib/python-escript-mpi/lib/pythonMPI
/usr/lib/python-escript-mpi/lib/pythonMPIredirect
/usr/share/doc/python-escript-mpi/changelog.Debian.gz
/usr/share/doc/python-escript-mpi/copyright
/usr/share/lintian/overrides/python-escript-mpi
/usr/share/man/man1/run-escript2-mpi.1.gz
/usr/share/python/runtime.d/python-escript-mpi.rtupdate

Changelog

2018-01-01 - Mattia Rizzolo <mattia@debian.org>
python-escript (5.1-5) unstable; urgency=medium
* Team upload.
* [8a6e107] Also ignore strict-overflow errors in s390x, albeit it happens
only in ubuntu.
* [9134bc2] Bump Standards-Version to 4.1.3, no changes needed.
2017-12-11 - Mattia Rizzolo <mattia@debian.org>
python-escript (5.1-4) unstable; urgency=medium
* Team upload.
* [8beca24] Try to fix FTBFS in powerpc and ppc64 by applying the same
patch used for ppc64el (disabling a warning).
* [0ea59fd] Build depend only on the default python and python3
versions.  Closes: #867583
* [096248d] Bump Standards-Version to 4.1.2, no changes needed.
2017-12-10 - Anton Gladky <gladk@debian.org>
python-escript (5.1-3) unstable; urgency=medium
* Team upload.
* [48d47f2] Fix FTBFS on powerpc. Disable one warning
2017-12-09 - Anton Gladky <gladk@debian.org>
python-escript (5.1-2) unstable; urgency=medium
* Team upload.
* [8a44bbe] Add missing space in the compiler flag. (Closes: #878496)
* [39dc272] Remove unused patches
2017-12-08 - Anton Gladky <gladk@debian.org>
python-escript (5.1-1) unstable; urgency=medium
* Team upload.
[ Joel Fenwick ]
* [dae92b3] Upstream 5.1 - with modified /debian. (Closes: #878496)
* [fed2b67] Spelling errors found by lintian
* [ff2a920] Use libjs-mathjax instead of external site
* [419c8e9] Suppress spurious warning on 32bit builds
[ Anton Gladky ]
* [e66da0f] Add section-field to each binary
* [5c83249] Add python3-sphinx to BD
* [b1bdc76] Remove myself from uploaders
* [034da16] Apply cme fix dpkg
2017-07-03 - Anton Gladky <gladk@debian.org>
python-escript (5.0-4) unstable; urgency=medium
[ Joel Fenwick ]
* [6f58a7e] Add sphinx-common to -doc dependencies. (Closes: #861023)
[ Anton Gladky ]
* [8713dfa] Replace latex-xcolor by texlive-latex-recommended. (Closes: #865245)
* [7ebf074] Use compat level 10.
* [70044aa] Set the highest level of hardening.
2017-04-19 - Anton Gladky <gladk@debian.org>
python-escript (5.0-3) unstable; urgency=medium
[ Paul Dreik ]
* [b33279b] Fix FTBFS due to unused variables. (Closes: #860604)
2017-01-05 - Anton Gladky <gladk@debian.org>
python-escript (5.0-2) unstable; urgency=medium
[ Joel Fenwick ]
* [a75d1b9] Fix moved openmpi lib problem (Closes: #848787)
[ Anton Gladky ]
* [b80952a] Apply cme fix dpkg.
2016-09-19 - Joel Fenwick <j.oelpublic@gmail.com>
python-escript (5.0-1) unstable; urgency=medium
* New version upload
2016-08-11 - Anton Gladky <gladk@debian.org>
python-escript (4.2.0.1-4) unstable; urgency=medium
[ Joel Fenwick ]
* [96dc875] Protect against g++-6 (Closes: #831149)

See Also

Package Description
python-escript_5.1-5_i386.deb Escript/Finley finite elements Python2 system (with OpenMP)
python-esmre_0.3.1-3build3_i386.deb Regular expression acceleration in Python2
python-espeak_0.5-1build5_i386.deb Python bindings for eSpeak
python-et-xmlfile_1.0.1-2_all.deb low memory library for creating large XML files (Python 2)
python-etcd3gw-doc_0.2.1-1_all.deb client for etcd3 grpc-gateway v3 API - doc
python-etcd3gw_0.2.1-1_all.deb client for etcd3 grpc-gateway v3 API - Python 2.7
python-etcd_0.4.3-2_all.deb Python Etcd client library
python-ethtool_0.12-1.1_i386.deb Python bindings for the ethtool kernel interface
python-evdev-doc_0.7.0+dfsg-2_all.deb Python bindings for the Linux input subsystem (docs)
python-evdev_0.7.0+dfsg-2_i386.deb Python bindings for the Linux input subsystem
python-evemu_2.6.0-0.1_i386.deb Linux Input Event Device Emulation Library - Python bindings
python-evtx_0.6.1-1_all.deb parser for recent Windows Event Log files -- Python 2 version
python-ewmh-doc_0.1.5-1_all.deb Python interface to EWMH-compliant window managers (common documentation)
python-ewmh_0.1.5-1_all.deb Python interface to EWMH-compliant window managers (Python 2)
python-exabgp_4.0.2-2_all.deb BGP swiss army knife of networking - Python 2 module
Advertisement
Advertisement